std::_Fwd_list_node< _Tp > Struct Template Reference

`#include <forward_list.h>`

Inheritance diagram for std::_Fwd_list_node< _Tp >:
[legend]

## Public Member Functions

void | _M_reverse_after () noexcept
_Fwd_list_node_base * | _M_transfer_after (_Fwd_list_node_base *__begin, _Fwd_list_node_base *__end) noexcept
const _Tp * | _M_valptr () const noexcept
_Tp * | _M_valptr () noexcept

## Public Attributes

_Fwd_list_node_base * | _M_next
__gnu_cxx::__aligned_buffer< _Tp > | _M_storage

## Detailed Description

template<typename _Tp>
struct std::_Fwd_list_node< _Tp >

A helper node class for forward_list. This is just a linked list with uninitialized storage for a data value in each node. There is a sorting utility method.

Definition at line 114 of file forward_list.h.

## Member Function Documentation

## _M_reverse_after()

void std::_Fwd_list_node_base::_M_reverse_after | ( |  | ) |

inline noexcept inherited

Definition at line 92 of file forward_list.h.

## _M_transfer_after()

_Fwd_list_node_base * std::_Fwd_list_node_base::_M_transfer_after | ( | _Fwd_list_node_base * | __begin,
|  | _Fwd_list_node_base * | __end )

inline noexcept inherited

Definition at line 76 of file forward_list.h.

## _M_valptr() [1/2]

template<typename _Tp>

const _Tp * std::_Fwd_list_node< _Tp >::_M_valptr | ( |  | ) | const

inline noexcept

Definition at line 126 of file forward_list.h.

## _M_valptr() [2/2]

template<typename _Tp>

_Tp * std::_Fwd_list_node< _Tp >::_M_valptr | ( |  | ) |

inline noexcept

Definition at line 122 of file forward_list.h.

## Member Data Documentation

## _M_next

_Fwd_list_node_base* std::_Fwd_list_node_base::_M_next

inherited

Definition at line 73 of file forward_list.h.

## _M_storage

template<typename _Tp>

__gnu_cxx::__aligned_buffer<_Tp> std::_Fwd_list_node< _Tp >::_M_storage

Definition at line 119 of file forward_list.h.

The documentation for this struct was generated from the following file:

- forward_list.h